Ultrasn0w not working on 3GS after jailbreaking

Discussion in 'Jailbreaks and iOS Hacks' started by JLarah, Jul 19, 2011.

  1. JLarah macrumors newbie

    Joined:
    Jul 19, 2011
    #1
    Hey,

    I really need some help on fixing my phone. I looked everywhere and I can't find a solution, nothing seems to work.

    Let me start by saying I'm not an expert on iPhones, jailbreaking or any of that. Everything I do, I follow tutorials and just google and try to find the answer, so please bear with me.

    Ok, so I bought a second hand iPhone over an year ago. It's a 3GS 32GB. The iPhone had been bought in the US and was locked to AT&T. The guy who sold me the phone jailbroke it and then he explained to me how I could unlock it so I could use it in my country with my own SIM card.

    I unlocked it with ultrasn0w which I got from Cydia and everything worked perfectly and I never had a problem with the phone.

    However, recently I wanted some new apps but it said that those apps were only compatible with iOs 4.0x, so I started thinking that it was time to upgrade my phone (My firmware was 3.1.2)

    Since I rely on a carrier unlock, I only wanted to update to a firmware that had an unlock already available. So I updated it to 4.1.2 and followed this tutorial.

    http://www.redmondpie.com/how-to-up...00-with-redsn0w-0.9.6b5-for-ios-4.2.1-unlock/

    So I "restored" my phone to 4.1.2 through itunes and then jailbroke it with redsn0w, just like it says on the tutorial.

    Everything seemed to go well, so then I followed this tutorial to unlock the iPhone, which basically tells me to install ultrasn0w.

    http://www.redmondpie.com/unlock-4.2.1-ios-iphone-3gs-3g-with-ultrasn0w-how-to-guide/

    However, ultrasn0w is not working. I installed ultrasn0w 1.2.3 (the only version that showed up on Cydia), restarted my phone and nothing. My phone is still locked and I always have the "No Service" sign showing. My iPhone is basically an iPod touch now.

    I don't know what's the problem. My friend followed the exact same tutorials and her phone is working fine. She has a 3G though, so I don't know if that has anything to do with it.

    But this jailbreak and unlock supposedly work with 3GS, so I don't see how that could be it?

    Also, my 3GS has an old bootroom. According to what I've read, 3GS with old bootrooms are the ones which were produced before the 40th week, and you can see that on the 4th and 5th digit of the serial number. Mine is 23.

    I've uninstalled and reinstalled ultrasn0w, I've turned my phone on and off, I've turned off 3g, I've turned airplane mode on and off and nothing works. Ughh

    I've just noticed that on Settings>General>About where it says "carrier" the name of my network is there, yet it's "unable to load network list" when I click on "carrier" under Settings.

    I'd really appreciate if you could help me, because I'm going desperate. This is my only phone and I really need it. I tried to give you as much information as I could. I hope there's a solution.

    Thank you
     
  2. Abs_p macrumors 6502a

    Joined:
    Jul 15, 2011
    #2
    U screwed up. U had a perfect baseband. Anyways... Sad..
    I have faced increasing number of ultrasn0w complains about 6.15.00 in past 1 week...
    Twitter.com/musclenerd
    He is the one who made that unlock... Only he can provide with a solution.
     
  3. ylerT macrumors regular

    ylerT

    Joined:
    Jun 10, 2011
    Location:
    Las Vegas
    #3
    Since iOS 4.1.2 doesn't exist I'm going to assume you went to 4.2.1. If that's the case you may have lost the ability to "easily" unlock. The 3Gs baseband for 4.2.1 is 05.15.04 which is not unlockable.

    Go under Settings - General - About and see what your "Modem Firmware" is. If it's 5.15.04, the only option you have to unlock is flashing that phone with the iPad baseband. However, if that is necessary you will lose GPS on the phone. Everything else will work but GPS functions will not.
     
  4. JLarah thread starter macrumors newbie

    Joined:
    Jul 19, 2011
    #4
    Yes, I meant 4.2.1, I'm sorry about that.

    I already have the iPad baseband. My modem firmware is 06.15.00.

    According to those tutorials, there shouldn't be any problem unlocking it.
     
  5. ylerT macrumors regular

    ylerT

    Joined:
    Jun 10, 2011
    Location:
    Las Vegas
    #5
    I'm a little confused by how you ended up with the iPad baseband already but regardless of that...

    Couple suggestions. Try going into settings and do "Reset Network Settings" and reboot. If you restored the phone from a previous backup, restore the phone and set it up as a new phone.

    I can't imagine it being a hardware issue if you were using the phone before updating it so try those things out.
     
  6. Abs_p macrumors 6502a

    Joined:
    Jul 15, 2011
    #6
    There have been increasing posts on this topic. Ultrasn0w has been giving probs on iPad baseband . I have seen 15 such threads on 3-4 forums in past 12-15 hours
     
  7. ylerT macrumors regular

    ylerT

    Joined:
    Jun 10, 2011
    Location:
    Las Vegas
    #7
    Hm, I haven't heard anything yet and MuscleNerd hasn't mentioned anything. I just did 2 3Gs' with the iPad baseband and didn't run into any problems.

    OP you may just have to wait it out if there's a possible issue with the ultrasn0w download.
     
  8. JLarah thread starter macrumors newbie

    Joined:
    Jul 19, 2011
    #8
    I followed this tutorial http://www.redmondpie.com/how-to-upd...-4.2.1-unlock/
    If you check, you'll see how I ended up with iPad baseband.

    I tried your suggestion, and it didn't work. Thanks anyway. I'll continue to look for a solution.
     
  9. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #9
    Try redoing the JB. Since you already have the iPad bb, you'll have to use pwnage or snowbreeze.
     
  10. vhicthelight macrumors newbie

    Joined:
    Jul 21, 2011
    #10
    got the same problem,, i accidentally removed ultrasnow from my device and when i tried to install it again it says unknown date format and i cant install it is ther a problem with my iphone
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    You will have to restore and rejailbreak.
     
  12. vhicthelight macrumors newbie

    Joined:
    Jul 21, 2011
    #12
    im currently at 4.0.1 so i can upgrade to the current version thru i tunes and re jailbreak my device
     
  13. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #13
    You will need to upgrade to 4.3.3 using pwnage or snowbreeze to create a custom Ipsw. Assuming you have 4.3.3 shsh blobs.
     
  14. Abs_p macrumors 6502a

    Joined:
    Jul 15, 2011
    #14
    I tried updating 4.1 iPad baseband 3GS to 4.3.3 yday to test coz lots of ppl are having probs.. No signal.I downgraded back voila works fine.. Someone needs to test this..
     
  15. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #15
    Leave it 4.1 then. Did you try 4.2.1 to see if it plays ok with that version?
     
  16. Abs_p macrumors 6502a

    Joined:
    Jul 15, 2011
    #16
    Na din have time. I don't use a 3GS.. I gave it away to my driver.. I just took it to test.. But I have read even 4.2.1 sometimes creates errors nowadays.. I guess something is up with the iPad bb..
     
  17. vhicthelight macrumors newbie

    Joined:
    Jul 21, 2011
    #17
    i still dont have that my itunes shows that i can only upgrade it to 4.2 thnks for the help guyz
     

Share This Page